botruntime
API ReferenceAdmin API

Get Integration Logs

Get integration logs

GET
/v1/admin/integrations/{id}/logs

Path Parameters

id*string

Integration Version ID

Query Parameters

timeStart*string

Beginning of the time range to get logs from

timeEnd?string

End of the time range to get logs from

level?string

Filter by log level

userId?string

Filter by user ID

conversationId?string

Filter by conversation ID

messageContains?string

Filter logs where the message contains this substring

nextToken?string

Token to get the next page of logs

Header Parameters

x-workspace-id*string

Workspace ID

x-multiple-integrations?string

Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/admin/integrations/string/logs?timeStart=string" \  -H "x-workspace-id: string"
{  "logs": [    {      "timestamp": "string",      "level": "string",      "message": "string",      "workflowId": "string",      "userId": "string",      "conversationId": "string"    }  ],  "nextToken": "string"}
{  "logs": [    {      "timestamp": "string",      "level": "string",      "message": "string",      "workflowId": "string",      "userId": "string",      "conversationId": "string"    }  ],  "nextToken": "string"}